## ros-noetic-mrpt-ekf-slam-2d 0.1.15

=== debian/changelog ===
ros-noetic-mrpt-ekf-slam-2d (0.1.15-1focal) focal; urgency=high



 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 01 Aug 2023 22:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.14-1focal) focal; urgency=high

  * Fix build against last mrpt 2.7.x
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 11 Apr 2023 22:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.11-1focal) focal; urgency=high

  * Ported to tf2 and mrpt::ros1bridge
  * Fixed all 2D and 3D EKF wrappers to work with mrpt 2.x API
  * Update build dep to mrpt2
  * Merge pull request #63 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/63> from reinzor/patch-1
    fix(CMakeLists.txt): Install rviz and config dir
  * fix(CMakeLists.txt): Install rviz and config dir
    Required for running the example launch files
  * Contributors: Jose Luis Blanco-Claraco, Rein Appeldoorn

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.10-1focal) focal; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.9-1focal) focal; urgency=high

  * Fix build against MRPT 1.9.9
  * Switch header guards to pragma once
  * Contributors: Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Vladislav Tananaev

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 13 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.8-1focal) focal; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 20 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.7-1focal) focal; urgency=high



 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 19 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.6-1focal) focal; urgency=high

  * Fixed build with mrpt 2.0
  * fix build; add optimized builds (-O3)
  * fix build against mrpt 1.5 series
  * use consistent cmake conventions for c++14
  * all but mrpt_graphslam_2d compiling against mrpt2.0
  * porting to mrpt2
    Fixes and cleanups for config files
  * [mrpt_ekf_slam_2d] Update description in package.xml.
  * [mrpt_ekf_slam_2d] Fix comment in launch file.
  * [mrpt_ekf_slam_2d] Add missing dependencies to package.xml
    Add test of *.launch files for the node.
  * Move transforms to callbacks.
  * Move publishTF to callback.
  * catkin_lint error fixes
  * Contributors: Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Magnus Gärtner, Max Kuzmin, Vladislav Tananaev

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.5-1focal) focal; urgency=high

  * Fix cmakelists typo
  * Contributors: Nikos Koukis

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 17 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.3-1focal) focal; urgency=high

  * Avoid gcc warnings with MRPT < 2.0.0
  * fix build against mrpt < 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 26 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.2-1focal) focal; urgency=high

  * Make formatting conform to ROS C++ Style Guide.
  * Output logs only in ROS.
  * Add a guard for new mrpt::ros1bridge::rosLoggerLvlToMRPTLoggerLvl and mrpt::ros1bridge::mrptToROSLoggerCallback functions for MRPT version less than 1.5.0.
  * Add streaming of MRPT logs to ROS logs.
  * Contributors: Logrus, Vladislav Tananaev

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-ekf-slam-2d (0.1.1-1focal) focal; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Contributors: Jose Luis Blanco, Logrus

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Aug 2016 22:00:00 -0000
